Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.syntax
Class SyntaxStyle

    java.lang.Object
      org.gjt.sp.jedit.syntax.SyntaxStyle

public class SyntaxStyle
extends java.lang.Object

A simple text style class. It can specify the color, italic flag, and bold flag of a run of text.

Version:
  $Id: SyntaxStyle.java,v 1.5 2003/03/14 02:51:25 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`SyntaxStyle(java.awt.Color fgColor, java.awt.Color bgColor, java.awt.Font font)` Creates a new SyntaxStyle.

Method Summary
`java.awt.Color` | `getBackgroundColor()` Returns the background color.
`int` | `getCharWidth()` Returns the character width of the monospaced font.
`java.awt.Font` | `getFont()` Returns the style font.
`java.awt.Color` | `getForegroundColor()` Returns the text color.
`void` | `setCharWidth(int charWidth)` Sets the character width of the monospaced font.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyntaxStyle

    public SyntaxStyle(java.awt.Color fgColor,
                       java.awt.Color bgColor,
                       java.awt.Font font)

  Creates a new SyntaxStyle.

Parameters:
  `fgColor` - The text color
  `bgColor` - The background color
  `font` - The text font

Method Detail

### getForegroundColor

    public java.awt.Color getForegroundColor()

  Returns the text color.

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

  Returns the background color.

### getFont

    public java.awt.Font getFont()

  Returns the style font.

### getCharWidth

    public int getCharWidth()

  Returns the character width of the monospaced font.

  Since:
    jEdit 4.2pre1

### setCharWidth

    public void setCharWidth(int charWidth)

  Sets the character width of the monospaced font.

  Parameters:
    `charWidth` - The character width
  Since:
    jEdit 4.2pre1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD